using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using SystemCommon;


namespace 顧客分析君
{
    public partial class _108分析手法設定 : Form
    {
        ////////////////////////////////////////////////////////////////////////
        // メンバ変数
        ////////////////////////////////////////////////////////////////////////
        #region メンバ変数

        #endregion

        ////////////////////////////////////////////////////////////////////////
        // 公開 共通メソッド
        ////////////////////////////////////////////////////////////////////////
        #region 公開 共通メソッド

        public _108分析手法設定()
        {
            InitializeComponent();
        }

        #endregion

        ////////////////////////////////////////////////////////////////////////
        // 非公開 共通メソッド
        ////////////////////////////////////////////////////////////////////////
        #region 非公開 共通メソッド

        #endregion



        ////////////////////////////////////////////////////////////////////////
        // イベントハンドラ
        ////////////////////////////////////////////////////////////////////////
        #region イベントハンドラ

        private void _104各種設定_Load(object sender, EventArgs e)
        {
            try
            {
                //cmb手法.Text = C02業務共通処理.分析手法を取得();
				cmb手法.Text = C02業務共通処理.分析手法を取得();

            }
            catch (Exception ex)
            {
                C04システム共通.ErrorLog("_104各種設定", "_104各種設定_Load", ex);
            }
        }

        private void btn確定_Click(object sender, EventArgs e)
        {
            try
            {
                if (DialogResult.Yes != MessageBox.Show(Properties.Resources.MSG_Q_入力した内容を登録しますか
                    , this.Text, MessageBoxButtons.YesNo, MessageBoxIcon.Question))
                    return;

                Cursor.Current = Cursors.WaitCursor;

                //C02業務共通処理.分析手法を変更(cmb手法.Text);
				C02業務共通処理.分析手法を変更(cmb手法.Text);

                //C02業務共通処理.Insert操作履歴(this.Text, Properties.Resources.OPRT_008);
				C02業務共通処理.Insert操作履歴(this.Text, Properties.Resources.OPRT_008);

                this.Close();
            }
            catch (Exception ex)
            {
                C04システム共通.ErrorLog("_104各種設定", "btn確定_Click", ex);
            }
            finally
            {
                Cursor.Current = Cursors.Arrow;
            }
        }

        private void btnキャンセル_Click(object sender, EventArgs e)
        {
            try
            {
                this.Close();
            }
            catch (Exception ex)
            {
                C04システム共通.ErrorLog("_104各種設定", "btn確定_Click", ex);
            }
        }

        #endregion


    }
}
